diff tools/verify-all-heads.sh @ 210:b81e7f2f7818

Add a shell script to verify the conversion result for all heads in a multi-branch repo.
author Augie Fackler <durin42@gmail.com>
date Mon, 16 Mar 2009 23:19:00 -0500
parents
children b1d2ea765516
line wrap: on
line diff
new file mode 100755
--- /dev/null
+++ b/tools/verify-all-heads.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+for b in `hg branches | cut -f 1 -d ' '` ; do
+    hg co $b || break
+    echo Verifying $b
+    $(dirname $0)/bisect-find-bad.sh > /dev/null || break
+    echo $b Verified.
+done